//NetTalk
/*------------------------------------------------------------------------------*\
 =============================
   模块名称: VideoWnd.h
 =============================
 
 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/
#ifndef _VIDEOWND_H_
#define _VIDEOWND_H_
#include "CoolBtn.h"
class CVideoShow:public CWndX
{
public:
	BOOL Create(RECT& rc,HWND hParent);
	CVideoShow();
	virtual ~CVideoShow();
protected:
	HBITMAP m_hBmp;
	void OnVideoData(BOOL flag,CAVIOMgr* pMgr);
	virtual LRESULT WndProc(UINT uMsg, WPARAM wParam, LPARAM lParam);
};
class CVideoWnd:public CDialogX
{
public:
	void SetErrTxt(char* err);
	
	BOOL Create(UINT ID,HWND hParent,BOOL bLocal);
	CRectX m_rc;
	
	virtual ~CVideoWnd();
	CVideoWnd();

	CVideoShow m_vs;
protected:
	char m_szErr[128];
	BOOL m_bLocal;
	

	
	CCoolBtn m_btnZoom;
	CCoolBtn m_btnClose;
	HBITMAP m_hbmpT1;
	HBITMAP m_hbmpT2;
	BOOL m_bHilight;
	void OnTimer(UINT nIDEvent);
	void OnMouseMove(UINT nFlags, POINT point);
	HRGN m_hrgnTitle;
	BOOL m_bZoomed;
	virtual void OnDestroy();
	
	CRectX m_rcVideo;
	
	virtual BOOL OnEraseBkgnd(HDC hdc);
	
	CRectX m_rcTitle;
	virtual void OnLButtonDown(UINT nFlags, POINT &point);
	virtual BOOL OnInitDialog();
	virtual LRESULT WndProc(UINT uMsg,WPARAM wParam,LPARAM lParam);
};



#endif